# Kategorileri Çekme

## Ana Kategorileri Çekme

<mark style="color:blue;">`GET`</mark> `https:/api.marketplace.tekbas.com/n11/topCategories`

N11 Ana Kategorileri Çekme

#### Headers

| Name           | Type   | Description |
| -------------- | ------ | ----------- |
| Authentication | string | Api Tokeni  |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
{
    "success": true,
    "message": "",
    "data": [
        {
            "id": "1002841",
            "name": "Aksesuar & Tuning"
        },
        {
            "id": "1001770",
            "name": "Ayakkabı & Çanta"
        },
        {
            "id": "1000035",
            "name": "Bebek Bezi & Islak Mendil"
        },
        {
            "id": "1003221",
            "name": "Fitness & Kondisyon"
        },
        {
            "id": "1002113",
            "name": "Kitap"
        }
    ],
}
```

{% endtab %}
{% endtabs %}

## Alt Kategorileri Çekme

<mark style="color:blue;">`GET`</mark> `https:/api.marketplace.ecms.com/n11/subCategories/:categoryId`

#### Path Parameters

| Name       | Type   | Description                                            |
| ---------- | ------ | ------------------------------------------------------ |
| categoryId | number | Alt kategorileri getirilecek olan ana kategorinin idsi |

#### Headers

| Name           | Type   | Description           |
| -------------- | ------ | --------------------- |
| Authentication | string | Api Tokeni Gereklidir |

{% tabs %}
{% tab title="200 " %}

```
{
    "success": true,
    "message": "",
    "data": [
        {
            "id": "1003259",
            "name": "Masaj Ürünleri"
        },
        {
            "id": "1003222",
            "name": "Besin Takviyeleri"
        },
        {
            "id": "1003234",
            "name": "Fitness & Kardiyo"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

Alt Kategorileri Çekme


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.marketplace.peliel.com/kategorileri-cekme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
